* {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: Arial, sans-serif;
}

.header {
  text-align: center;
  padding: 32px;
  margin-top: 87px;
  background-image: url(https://www.photoportray.com/wp-content/uploads/2018/02/bgcontent.jpg);
}

.header2 {
  text-align: center;
  padding: 32px;

  background-image: url(https://www.photoportray.com/wp-content/uploads/2018/02/bgcontent.jpg);
}

.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

.column {
  flex: 25%;
  max-width: 25%;
  padding: 0 4px;
  padding-bottom: 23px;
  background-image: url(https://www.photoportray.com/wp-content/uploads/2018/02/bgcontent.jpg);
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
  cursor: pointer;
  border-radius: 10px;
}

@media screen and (max-width: 800px) {
  .column {
    flex: 50%;
    max-width: 50%;
  }
}

@media screen and (max-width: 600px) {
  .column {
    flex: 100%;
    max-width: 100%;
  }
}

/* Popup Slider Styles */
#imageModal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  justify-content: center;
  align-items: center;
}

.modal-content {
  position: relative;
  max-width: 90%;
  max-height: 90%;
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-content img {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

#closeBtn {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 30px;
  color: white;
  cursor: pointer;
  background: transparent;
  border: none;
}

#prevBtn,
#nextBtn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 40px;
  color: white;
  cursor: pointer;
  background: transparent;
  border: none;
}

#prevBtn {
  left: 20px;
}

#nextBtn {
  right: 20px;
}

@media screen and (max-width: 600px) {
  #closeBtn {
    font-size: 25px;
    top: 5px;
    right: 10px;
  }

  #prevBtn,
  #nextBtn {
    font-size: 30px;
  }

  .modal-content {
    max-width: 100%;
    max-height: 100%;
  }
}
